%define major 		5
%define libname		%mklibname qmi-glib %{major}
%define develname	%mklibname qmi-glib -d

Name:		libqmi
Version:	1.16.2
Release:	%mkrel 2
Summary:	Qualcomm MSM Interface (QMI) protocol helper library
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.freedesktop.org/wiki/Software/libqmi/
Source:		https://www.freedesktop.org/software/libqmi/libqmi-%{version}.tar.xz
Patch0:		libqmi-1.16.2-optional-gtk-doc.patch
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(mbim-glib)

%description
libqmi is a glib-based library for talking to WWAN modems and devices which
speak the Qualcomm MSM Interface (QMI) protocol.

%package -n	%{libname}
Summary:	Qualcomm MSM Interface (QMI) protocol helper library
Group:		Development/C
Requires:	%{name}-utils >= %{version}-%{release}

%description -n	%{libname}
This package contains the libraries that make it easier to use QMI functionality
from applications that use glib.

%package -n	%{develname}
Summary:	Header files and development libraries for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	qmi-devel = %{version}-%{release}
Provides:	qmi-glib-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the header and pkg-config files for development
applications using QMI functionality from applications that use glib.

%package utils
Summary:	QMI protocol command line utilities
Group:		System/Base
License:	GPLv2+

%description utils
This package contains the utilities that make it easier to use QMI functionality
from the command line.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure2_5x \
	--disable-static \
	--with-udev-base-dir=%{_prefix}/lib/udev \
	--enable-mbim-qmux
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%check
make check

%files -n %{libname}
%doc AUTHORS NEWS
%{_libdir}/%{name}-glib.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}-glib/
%{_libdir}/%{name}-glib.so
%{_libdir}/pkgconfig/qmi-glib.pc

%files utils
%{_bindir}/qmicli
%{_bindir}/qmi-network
%{_datadir}/bash-completion/completions/qmicli
%{_libexecdir}/qmi-proxy
%{_mandir}/man1/qmicli.1*
%{_mandir}/man1/qmi-network.1*


%changelog
* Thu Mar 09 2017 wally <wally> 1.16.2-2.mga6
+ Revision: 1090588
- make lib pkg to require qmi-proxy (libqmi-utils pkg) (mga#20423)

* Sun Jan 01 2017 wally <wally> 1.16.2-1.mga6
+ Revision: 1079274
- new version 1.16.2
- update licenses
- add patch to make gtk-doc build optional (and disable it)

* Fri Aug 26 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1049130
- imported package libqmi

